FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetFind page groups by categorygetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsputMove global page groups to a categoryputFind page groups by categorygetMove global page groups to a categoryput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Middleware Configs
    List middleware configsgetFind middleware config by IDgetFind middleware configs by ID listgetSave middleware configputCreate middleware configpostDelete middleware configdeleteDuplicate middleware configpostArchive middleware configsputUnarchive middleware configsputMove middleware configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

Page Groups

Download schema

API endpoints to manage page groups


List page groups

GET
https://api.funnelflux.pro/v1
/page/group/list/

List page groups. Use globalOnly=true to return only global groups (not scoped to a specific funnel).

List page groups › query Parameters

pageType
​string · enum · required

Type of page resource

Enum values:
lander
offer
status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all
idFunnel
​string

Filter to page groups scoped to this funnel.

globalOnly
​boolean

When true, return only global page groups (those not scoped to a specific funnel).

List page groups › Responses

List of page groups

​PageGroupInfo[]
Slim page group projection returned by list and findByStatus endpoints.
PageGroupInfo
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
pageType
​string · enum · required

Type of pages in this group (lander or offer)

Enum values:
lander
offer
idCategory
​string · required

ID of the category

categoryName
​string · maxLength: 256

Name of the parent category

GET/page/group/list/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/page/group/list?pageType=%3Cstring%3E&status=%3Cstring%3E'
Example Responses
[ { "idPageGroup": "idPageGroup", "pageGroupName": "pageGroupName", "status": "active", "pageType": "lander", "idCategory": "idCategory", "categoryName": "categoryName" } ]
json
application/json

Find a page group by ID

GET
https://api.funnelflux.pro/v1
/page/group/find/byId/

Retrieve a page group by its id

Find a page group by ID › query Parameters

idPageGroup
​string · required

The ID to return

Find a page group by ID › Responses

The requested page group

PageGroup
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

pageType
​PageType · enum · required

What kind of pages in this group.

Enum values:
lander
offer
routing
​string · enum · required
Enum values:
rotator
actionMapped
​PageGroupEntry[] · required

List of page entries

idCategory
​string

Category ID for global page groups. Empty string means Uncategorized.

Default:
categoryName
​string

Category display name paired with idCategory. Uncategorized is returned when idCategory is empty.

Default:
restrictToFunnelId
​string

If empty, then page group is global and can be used by multiple funnels, otherwise, page group is local and can be used only by the funnel with id specified in this field. Local (funnel-scoped) page groups are excluded from global list endpoints and the UI's global page-group lists; they remain fully functional and can still be fetched directly by ID.

Default:
stickinessMode
​string · enum

Controls rotation behavior for repeat visitors (only applies when routing is "rotator").

  • none: Always rotate randomly (default behavior)
  • sticky: Always show same page for returning visitors
  • antiAffinity: Cycle through all pages before repeating any
Enum values:
none
sticky
antiAffinity
Default: none
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/page/group/find/byId/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/page/group/find/byId?idPageGroup=%3Cstring%3E'
Example Responses
{ "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" }
json
application/json

Find page groups by ID list

GET
https://api.funnelflux.pro/v1
/page/group/find/byIds/

Retrieve all page groups with the specified ids

Find page groups by ID list › query Parameters

idPageGroups
​string · required

List of page group IDs to retrieve

Find page groups by ID list › Responses

List of page groups with the specified ids

​PageGroup[]
PageGroup
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

pageType
​PageType · enum · required

What kind of pages in this group.

Enum values:
lander
offer
routing
​string · enum · required
Enum values:
rotator
actionMapped
​PageGroupEntry[] · required

List of page entries

idCategory
​string

Category ID for global page groups. Empty string means Uncategorized.

Default:
categoryName
​string

Category display name paired with idCategory. Uncategorized is returned when idCategory is empty.

Default:
restrictToFunnelId
​string

If empty, then page group is global and can be used by multiple funnels, otherwise, page group is local and can be used only by the funnel with id specified in this field. Local (funnel-scoped) page groups are excluded from global list endpoints and the UI's global page-group lists; they remain fully functional and can still be fetched directly by ID.

Default:
stickinessMode
​string · enum

Controls rotation behavior for repeat visitors (only applies when routing is "rotator").

  • none: Always rotate randomly (default behavior)
  • sticky: Always show same page for returning visitors
  • antiAffinity: Cycle through all pages before repeating any
Enum values:
none
sticky
antiAffinity
Default: none
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/page/group/find/byIds/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/page/group/find/byIds?idPageGroups=%3Cstring%3E'
Example Responses
[ { "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" } ]
json
application/json

Find page groups by status

GET
https://api.funnelflux.pro/v1
/page/group/find/byStatus/

Retrieve all page groups of the specified type and status

Find page groups by status › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all
pageType
​string · enum

Type of page resource

Enum values:
lander
offer
idFunnel
​string

The ID of the funnel to filter to

Find page groups by status › Responses

List of page groups of the specified type and status

​PageGroupInfo[]
Slim page group projection returned by list and findByStatus endpoints.
PageGroupInfo
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
pageType
​string · enum · required

Type of pages in this group (lander or offer)

Enum values:
lander
offer
idCategory
​string · required

ID of the category

categoryName
​string · maxLength: 256

Name of the parent category

GET/page/group/find/byStatus/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/page/group/find/byStatus?status=%3Cstring%3E'
Example Responses
[ { "idPageGroup": "idPageGroup", "pageGroupName": "pageGroupName", "status": "active", "pageType": "lander", "idCategory": "idCategory", "categoryName": "categoryName" } ]
json
application/json

Find page groups by type

GET
https://api.funnelflux.pro/v1
/page/group/find/byType/

Retrieve page groups of the specified type and status

Find page groups by type › query Parameters

pageGroupType
​string · enum · required

The type of the page group

Enum values:
lander
offer
status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all

Find page groups by type › Responses

List of page groups of the specified type

​PageGroup[]
PageGroup
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

pageType
​PageType · enum · required

What kind of pages in this group.

Enum values:
lander
offer
routing
​string · enum · required
Enum values:
rotator
actionMapped
​PageGroupEntry[] · required

List of page entries

idCategory
​string

Category ID for global page groups. Empty string means Uncategorized.

Default:
categoryName
​string

Category display name paired with idCategory. Uncategorized is returned when idCategory is empty.

Default:
restrictToFunnelId
​string

If empty, then page group is global and can be used by multiple funnels, otherwise, page group is local and can be used only by the funnel with id specified in this field. Local (funnel-scoped) page groups are excluded from global list endpoints and the UI's global page-group lists; they remain fully functional and can still be fetched directly by ID.

Default:
stickinessMode
​string · enum

Controls rotation behavior for repeat visitors (only applies when routing is "rotator").

  • none: Always rotate randomly (default behavior)
  • sticky: Always show same page for returning visitors
  • antiAffinity: Cycle through all pages before repeating any
Enum values:
none
sticky
antiAffinity
Default: none
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

GET/page/group/find/byType/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/page/group/find/byType?pageGroupType=%3Cstring%3E&status=%3Cstring%3E'
Example Responses
[ { "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" } ]
json
application/json

Find page groups by category

GET
https://api.funnelflux.pro/v1
/page/group/find/byCategory/

Retrieve global page groups under the specified category. Use categoryType=landerGroup or categoryType=offerGroup.

Find page groups by category › query Parameters

idCategory
​string · required

Parent category of resource

categoryType
​string · enum · required
Enum values:
landerGroup
offerGroup

Find page groups by category › Responses

List of global page groups in the specified category

​PageGroupInfo[]
Slim page group projection returned by list and findByStatus endpoints.
PageGroupInfo
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
pageType
​string · enum · required

Type of pages in this group (lander or offer)

Enum values:
lander
offer
idCategory
​string · required

ID of the category

categoryName
​string · maxLength: 256

Name of the parent category

GET/page/group/find/byCategory/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/page/group/find/byCategory?idCategory=%3Cstring%3E&categoryType=%3Cstring%3E'
Example Responses
[ { "idPageGroup": "idPageGroup", "pageGroupName": "pageGroupName", "status": "active", "pageType": "lander", "idCategory": "idCategory", "categoryName": "categoryName" } ]
json
application/json

Update a page group

PUT
https://api.funnelflux.pro/v1
/page/group/save/

Update an existing page group. The id cannot be changed.

Update a page group › Request Body

PageGroup
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

pageType
​PageType · enum · required

What kind of pages in this group.

Enum values:
lander
offer
routing
​string · enum · required
Enum values:
rotator
actionMapped
​PageGroupEntry[] · required

List of page entries

idCategory
​string

Category ID for global page groups. Empty string means Uncategorized.

Default:
categoryName
​string

Category display name paired with idCategory. Uncategorized is returned when idCategory is empty.

Default:
restrictToFunnelId
​string

If empty, then page group is global and can be used by multiple funnels, otherwise, page group is local and can be used only by the funnel with id specified in this field. Local (funnel-scoped) page groups are excluded from global list endpoints and the UI's global page-group lists; they remain fully functional and can still be fetched directly by ID.

Default:
stickinessMode
​string · enum

Controls rotation behavior for repeat visitors (only applies when routing is "rotator").

  • none: Always rotate randomly (default behavior)
  • sticky: Always show same page for returning visitors
  • antiAffinity: Cycle through all pages before repeating any
Enum values:
none
sticky
antiAffinity
Default: none
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

Update a page group › Responses

Page group updated successfully

No data returned
PUT/page/group/save/
curl --request PUT \ --url https://api.funnelflux.pro/v1/page/group/save \ --header 'Content-Type: application/json' \ --data ' { "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" } '
Example Request Body
{ "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" }
json
Example Responses
No example specified for this content type

Create a page group

POST
https://api.funnelflux.pro/v1
/page/group/save/

Create a new page group

Create a page group › Request Body

PageGroup
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

pageType
​PageType · enum · required

What kind of pages in this group.

Enum values:
lander
offer
routing
​string · enum · required
Enum values:
rotator
actionMapped
​PageGroupEntry[] · required

List of page entries

idCategory
​string

Category ID for global page groups. Empty string means Uncategorized.

Default:
categoryName
​string

Category display name paired with idCategory. Uncategorized is returned when idCategory is empty.

Default:
restrictToFunnelId
​string

If empty, then page group is global and can be used by multiple funnels, otherwise, page group is local and can be used only by the funnel with id specified in this field. Local (funnel-scoped) page groups are excluded from global list endpoints and the UI's global page-group lists; they remain fully functional and can still be fetched directly by ID.

Default:
stickinessMode
​string · enum

Controls rotation behavior for repeat visitors (only applies when routing is "rotator").

  • none: Always rotate randomly (default behavior)
  • sticky: Always show same page for returning visitors
  • antiAffinity: Cycle through all pages before repeating any
Enum values:
none
sticky
antiAffinity
Default: none
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
​object

Reserved for the FunnelFlux user interface (UI state and edit version/conflict tracking). For internal UI use only; do not store your own data here via the API, as the UI may overwrite it.

Create a page group › Responses

Page group created successfully

No data returned
POST/page/group/save/
curl --request POST \ --url https://api.funnelflux.pro/v1/page/group/save \ --header 'Content-Type: application/json' \ --data ' { "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" } '
Example Request Body
{ "idPageGroup": "idPageGroup", "pageGroupName": "page group name", "routing": "rotator", "pageType": "lander", "stickinessMode": "none", "pages": [ { "idPage": "idPage", "weight": 0.08008281904610115 }, { "idPage": "idPage", "weight": 0.08008281904610115 } ], "restrictToFunnelId": "funnel-id", "status": "active" }
json
Example Responses
No example specified for this content type

Duplicate a page group

POST
https://api.funnelflux.pro/v1
/page/group/duplicate/

Create duplicate of existing page group.

Duplicate a page group › query Parameters

idPageGroup
​string · required

ID of the page group to duplicate.

Duplicate a page group › Request Body

DuplicateRequest
name
​string · minLength: 1 · maxLength: 256 · required

Name for the new asset

parentId
​string

Optional parent/category ID for the new asset

​object

Optional field overrides to merge into the duplicated asset. Keys are JSON field names (e.g. baseURL, trackingFieldSlots). Protected fields (ID, owner, status) cannot be changed via this field — they are always set by the server after the merge.

Duplicate a page group › Responses

The newly created page group

DuplicateResponse
id
​string

ID of the newly created asset

POST/page/group/duplicate/
curl --request POST \ --url 'https://api.funnelflux.pro/v1/page/group/duplicate?idPageGroup=%3Cstring%3E' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "parentId": "parentId", "bodyUpdates": {} } '
Example Request Body
{ "name": "name", "parentId": "parentId", "bodyUpdates": {} }
json
Example Responses
{ "id": "id" }
json
application/json

Delete a page group

DELETE
https://api.funnelflux.pro/v1
/page/group/delete/

Delete the specified page groups

Delete a page group › Request Body

StringList
entries
​string[] · required

Delete a page group › Responses

Page groups deleted successfully

No data returned
DELETE/page/group/delete/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/page/group/delete \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Archive page groups

PUT
https://api.funnelflux.pro/v1
/page/group/archive/

Archive the specified page groups

Archive page groups › Request Body

StringList
entries
​string[] · required

Archive page groups › Responses

Page groups archived successfully

No data returned
PUT/page/group/archive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/page/group/archive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Unarchive page groups

PUT
https://api.funnelflux.pro/v1
/page/group/unarchive/

Unarchive the specified page groups

Unarchive page groups › Request Body

StringList
entries
​string[] · required

Unarchive page groups › Responses

Page groups unarchived successfully

No data returned
PUT/page/group/unarchive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/page/group/unarchive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Move global page groups to a category

PUT
https://api.funnelflux.pro/v1
/page/group/move-category/

Move global page groups to a landerGroup or offerGroup category. Local funnel-scoped page groups are not category-managed through this endpoint.

Move global page groups to a category › Request Body

PageGroupMoveCategoryRequest
entries
​string[] · required

List of global page group IDs to move

idCategory
​string · required

Target category ID (empty string to remove from category)

categoryType
​string · enum · required

Page-group category type

Enum values:
landerGroup
offerGroup

Move global page groups to a category › Responses

Page groups moved successfully

No data returned
PUT/page/group/move-category/
curl --request PUT \ --url https://api.funnelflux.pro/v1/page/group/move-category \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "string" ], "idCategory": "idCategory", "categoryType": "landerGroup" } '
Example Request Body
{ "entries": [ "string" ], "idCategory": "idCategory", "categoryType": "landerGroup" }
json
Example Responses
No example specified for this content type

Find page groups by category

GET
https://api.funnelflux.pro/v1
/pagegroup/find/byCategory/

Retrieve global page groups under the specified category. Use categoryType=landerGroup or categoryType=offerGroup.

Find page groups by category › query Parameters

idCategory
​string · required

Parent category of resource

categoryType
​string · enum · required
Enum values:
landerGroup
offerGroup

Find page groups by category › Responses

List of global page groups in the specified category

​PageGroupInfo[]
Slim page group projection returned by list and findByStatus endpoints.
PageGroupInfo
idPageGroup
​string · required
pageGroupName
​string · minLength: 1 · maxLength: 256 · required

Page group's name.

status
​Status · enum · required
Enum values:
active
archived
deleted
Default: active
pageType
​string · enum · required

Type of pages in this group (lander or offer)

Enum values:
lander
offer
idCategory
​string · required

ID of the category

categoryName
​string · maxLength: 256

Name of the parent category

GET/pagegroup/find/byCategory/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/pagegroup/find/byCategory?idCategory=%3Cstring%3E&categoryType=%3Cstring%3E'
Example Responses
[ { "idPageGroup": "idPageGroup", "pageGroupName": "pageGroupName", "status": "active", "pageType": "lander", "idCategory": "idCategory", "categoryName": "categoryName" } ]
json
application/json

Move global page groups to a category

PUT
https://api.funnelflux.pro/v1
/pagegroup/move-category/

Move global page groups to a landerGroup or offerGroup category. Local funnel-scoped page groups are not category-managed through this endpoint.

Move global page groups to a category › Request Body

PageGroupMoveCategoryRequest
entries
​string[] · required

List of global page group IDs to move

idCategory
​string · required

Target category ID (empty string to remove from category)

categoryType
​string · enum · required

Page-group category type

Enum values:
landerGroup
offerGroup

Move global page groups to a category › Responses

Page groups moved successfully

No data returned
PUT/pagegroup/move-category/
curl --request PUT \ --url https://api.funnelflux.pro/v1/pagegroup/move-category \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "string" ], "idCategory": "idCategory", "categoryType": "landerGroup" } '
Example Request Body
{ "entries": [ "string" ], "idCategory": "idCategory", "categoryType": "landerGroup" }
json
Example Responses
No example specified for this content type

Visitor TagsPages